org.apache.torque.generator.configuration.controller

## Class ControlConfigurationXmlParser

- java.lang.Object
- - org.apache.torque.generator.configuration.controller.ControlConfigurationXmlParser

-     public class ControlConfigurationXmlParser
      extends Object

  Parses the xml file which provides the control configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlConfigurationXmlParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ControlConfiguration` | `readControllerConfiguration(ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)` Reads the controller configuration out of a configurationProvider.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlConfigurationXmlParser

          public ControlConfigurationXmlParser()

  - ### Method Detail

    - #### readControllerConfiguration

          public ControlConfiguration readControllerConfiguration(ConfigurationProvider configurationProvider,
                                                                  UnitDescriptor unitDescriptor,
                                                                  ConfigurationHandlers configurationHandlers)
                                                           throws ConfigurationException

      Reads the controller configuration out of a configurationProvider.
      Parameters:
        `configurationProvider` - the object for accessing the configuration, not null.
        `unitDescriptor` - The description of the generation unit, not null.
        `configurationHandlers` - the available configuration handlers, not null.
      Returns:
        the Controller configuration.
      Throws:
        `ConfigurationException` - if an error in the configuration is encountered.
        `NullPointerException` - if an argument is null.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.